Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cnrg.itx.gtwy
Class ListenChannel

    java.lang.Object
      |
      +--java.lang.Thread
            |
            +--cnrg.itx.gtwy.ListenChannel

public class ListenChannel
extends java.lang.Thread

Takes care of servicing incoming calls from the phone. Sets up a connection with a computer if a call has been accepted. Services the next incoming phone call when the connection ends or the previous call has been rejected.

Fields inherited from class java.lang.Thread
`MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

Constructor Summary
`protected` | `ListenChannel(Line lin, ChannelControl cc, Gateway g)`

Method Summary
`protected void` | `makeWait()` Puts the `ListenChannel` to "sleep".
`protected void` | `restart()` "Wakes up" the `ListenChannel` to listen for the next incoming call.
`void` | `run()`

Methods inherited from class java.lang.Thread
`activeCount, checkAccess, countStackFrames, currentThread, destroy, dumpStack, enumerate, getContextClassLoader, getName, getPriority, getThreadGroup, interrupt, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, resume, setContextClassLoader, setDaemon, setName, setPriority, sleep, sleep, start, stop, stop, suspend, toString, yield`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ListenChannel

    protected ListenChannel(Line lin,
                            ChannelControl cc,
                            Gateway g)

  Parameters:
    `lin` - the `Line` instance corresponding to `ListenChannel's` line. Provides information concerning that line.
    `cc` - the `ChannelControl` instance for controlling `ListenChannel's` primary channel.
    `g` - the `Gateway` instance to access line state.
  See Also:
    `Line`, `Gateway`, `Connection`

Method Detail

### makeWait

    protected void makeWait()

  Puts the `ListenChannel` to "sleep". Used when a connection is being set up.
  See Also:
    `Gateway.setUpConnection(Line, Connection)`

### restart

    protected void restart()

  "Wakes up" the `ListenChannel` to listen for the next incoming call.

### run

    public void run()

  Overrides:
    run in class java.lang.Thread
  See Also:
    `Runnable`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD